| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CreateMediaGatewayRequest Class Reference
Media Server

Create Media Gateway request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | GatewayName
| Name of the media gateway to create. More...
enum unsp__GatewayProtocolType | GatewayProtocolType
| Type of protocol associated with gateway. More...
enum unsp__GatewayProtocolVersion | GatewayProtocolVersion
| Version of the protocol used to communicate with gateway. More...
unsp__ArrayOfInt | MgListenPort
| Media Gateway listen ports. More...
unsp__ArrayOfInt | MgReceivePort
| Media Gateway receive ports. More...
xsd__string | MgCircuitFormat
| Circuit format supported by the gateway. More...
struct unsp__MediaGatewayNetworkTypes | NetworkTypes
| Information on the type of network on which the gateway is located. More...
xsd__string | MgAddrCallp
| Call Processing Ip Address of the Media gateway controller (Openscape Voice ccm). More...
xsd__string | MgAddrProvision
| Provisioning Ip Address of the Media Gateway. More...
xsd__unsignedInt | Timeout
| Timeout interval for MGCP requests sent to gateway. More...
xsd__unsignedInt | RetryCount
| Number of times to retry the mgcp requests. More...
enum unsp__IPAddressAllocMethod | IpAddrAllocMethod
| IpAddress allocation method. More...
xsd__string | Fqdn
| Fully qualified domain name for the media gateway. More...
xsd__string | LocalClli
| Common language location identifier. More...
enum unsp__GatewayAssignmentMethod | GwAssignMethod
| Method for choosing the gateway. More...
xsd__int | TimerHist
| Transaction History timer. More...
xsd__int | TimerMax
| Maximum retransmission timer. More...
xsd__int | TransmissionTimerLen
| Transmission Timer Len. More...
enum unsp__T38FaxRelay | FaxT38Relay
enum unsp__DtmfRelay | DtmfRelay
enum unsp__MultiHoming * | MultiHomingFlag
| Indicates whether MultiHoming is enabled or not. More...
struct unsp__MediaGatewayGwAttributes | GwAttributes
| Media Gateway Attributes. More...
enum unsp__YesNo | OverloadSupport
| Indicates whether overload support is enabled or not. More...
enum unsp__YesNo | OverloadAllowCaleaCalls
enum unsp__YesNo | OverloadAllowTwCalls
| Indicates whether or not three way calls are allowed while in overload. More...
xsd__int | OverloadReturnCodeOne
| Associated Return Code - Level 1. More...
xsd__int | OverloadReturnCodeTwo
| Associated Return Code - Level 2. More...
xsd__int | OverloadReturnCodeThree
| Associated Return Code - Level 3. More...
xsd__int | OverloadGapIntervalOne
| Gap Interval - Level 1. More...
xsd__int | OverloadGapIntervalTwo
| Gap Interval - Level 2. More...
xsd__int | OverloadGapIntervalThree
| Gap Interval - Level 3. More...
xsd__string | MgLocationDomain
| Location Domain name. More...

## Detailed Description

Create Media Gateway request.

Used by unsp__createMediaGateway()

## Member Data Documentation

## ◆ DtmfRelay

enum unsp__DtmfRelay unsp__CreateMediaGatewayRequest::DtmfRelay

Deprecated:
  NA

## ◆ FaxT38Relay

enum unsp__T38FaxRelay unsp__CreateMediaGatewayRequest::FaxT38Relay

Deprecated:
  NA

## ◆ Fqdn

xsd__string unsp__CreateMediaGatewayRequest::Fqdn

Fully qualified domain name for the media gateway.

required: true
default value[range]: NA

## ◆ GatewayName

xsd__string unsp__CreateMediaGatewayRequest::GatewayName

Name of the media gateway to create.

required: true
default value[range]: [1..63]

## ◆ GatewayProtocolType

enum unsp__GatewayProtocolType unsp__CreateMediaGatewayRequest::GatewayProtocolType

Type of protocol associated with gateway.

required: false
default value[range]: GptMgcp

## ◆ GatewayProtocolVersion

enum unsp__GatewayProtocolVersion unsp__CreateMediaGatewayRequest::GatewayProtocolVersion

Version of the protocol used to communicate with gateway.

required: false
default value[range]: GpVerMgcp1Dot0

## ◆ GwAssignMethod

enum unsp__GatewayAssignmentMethod unsp__CreateMediaGatewayRequest::GwAssignMethod

Method for choosing the gateway.

required: true
default value[range]: GwAmAutomatic

## ◆ GwAttributes

struct unsp__MediaGatewayGwAttributes unsp__CreateMediaGatewayRequest::GwAttributes

Media Gateway Attributes.

required: false
default value[range]: NA

## ◆ IpAddrAllocMethod

enum unsp__IPAddressAllocMethod unsp__CreateMediaGatewayRequest::IpAddrAllocMethod

IpAddress allocation method.

required: false
default value[range]: IpAmDnsQuery

## ◆ LocalClli

xsd__string unsp__CreateMediaGatewayRequest::LocalClli

Common language location identifier.

required: false
default value[range]: NA

## ◆ MgAddrCallp

xsd__string unsp__CreateMediaGatewayRequest::MgAddrCallp

Call Processing Ip Address of the Media gateway controller (Openscape Voice ccm).

required: false
default value[range]: NA

## ◆ MgAddrProvision

xsd__string unsp__CreateMediaGatewayRequest::MgAddrProvision

Provisioning Ip Address of the Media Gateway.

required: false
default value[range]: NA

## ◆ MgCircuitFormat

xsd__string unsp__CreateMediaGatewayRequest::MgCircuitFormat

Circuit format supported by the gateway.

required: false
default value[range]: "$/$"

## ◆ MgListenPort

unsp__ArrayOfInt unsp__CreateMediaGatewayRequest::MgListenPort

Media Gateway listen ports.

required: true
default value[range]: NA

## ◆ MgLocationDomain

xsd__string unsp__CreateMediaGatewayRequest::MgLocationDomain

Location Domain name.

required: false
default value[range]: NA [1..64]

## ◆ MgReceivePort

unsp__ArrayOfInt unsp__CreateMediaGatewayRequest::MgReceivePort

Media Gateway receive ports.

required: true
default value[range]: NA

## ◆ MultiHomingFlag

enum unsp__MultiHoming* unsp__CreateMediaGatewayRequest::MultiHomingFlag

Indicates whether MultiHoming is enabled or not.

Note that this flag can never be reset by a Modify Media gateway command (it can be set from false to true but not from true to false - in order to do this, the media gateway must be removed and then created again).
required: false
default value[range]: NA

## ◆ NetworkTypes

struct unsp__MediaGatewayNetworkTypes unsp__CreateMediaGatewayRequest::NetworkTypes

Information on the type of network on which the gateway is located.

required: false
default value[range]: NA

## ◆ OperatorId

xsd__string unsp__CreateMediaGatewayRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ OverloadAllowCaleaCalls

enum unsp__YesNo unsp__CreateMediaGatewayRequest::OverloadAllowCaleaCalls

Deprecated:
  NA

## ◆ OverloadAllowTwCalls

enum unsp__YesNo unsp__CreateMediaGatewayRequest::OverloadAllowTwCalls

Indicates whether or not three way calls are allowed while in overload.

required: false
default value[range]: YnNo

## ◆ OverloadGapIntervalOne

xsd__int unsp__CreateMediaGatewayRequest::OverloadGapIntervalOne

Gap Interval - Level 1.

required: false
default value[range]: 5 [0, 400..499]

## ◆ OverloadGapIntervalThree

xsd__int unsp__CreateMediaGatewayRequest::OverloadGapIntervalThree

Gap Interval - Level 3.

required: false
default value[range]: 20 [0, 400..499]

## ◆ OverloadGapIntervalTwo

xsd__int unsp__CreateMediaGatewayRequest::OverloadGapIntervalTwo

Gap Interval - Level 2.

required: false
default value[range]: 10 [0, 400..499]

## ◆ OverloadReturnCodeOne

xsd__int unsp__CreateMediaGatewayRequest::OverloadReturnCodeOne

Associated Return Code - Level 1.

required: false
default value[range]: 409 [0..9999999999 ]

## ◆ OverloadReturnCodeThree

xsd__int unsp__CreateMediaGatewayRequest::OverloadReturnCodeThree

Associated Return Code - Level 3.

required: false
default value[range]: 409 [0..9999999999 ]

## ◆ OverloadReturnCodeTwo

xsd__int unsp__CreateMediaGatewayRequest::OverloadReturnCodeTwo

Associated Return Code - Level 2.

required: false
default value[range]: 409 [0..9999999999 ]

## ◆ OverloadSupport

enum unsp__YesNo unsp__CreateMediaGatewayRequest::OverloadSupport

Indicates whether overload support is enabled or not.

required: false
default value[range]: YnNo

## ◆ RetryCount

xsd__unsignedInt unsp__CreateMediaGatewayRequest::RetryCount

Number of times to retry the mgcp requests.

required: false
default value[range]: 3

## ◆ Timeout

xsd__unsignedInt unsp__CreateMediaGatewayRequest::Timeout

Timeout interval for MGCP requests sent to gateway.

required: false
default value[range]: 400

## ◆ TimerHist

xsd__int unsp__CreateMediaGatewayRequest::TimerHist

Transaction History timer.

required: false
default value[range]: 30

## ◆ TimerMax

xsd__int unsp__CreateMediaGatewayRequest::TimerMax

Maximum retransmission timer.

required: false
default value[range]: 20

## ◆ TransmissionTimerLen

xsd__int unsp__CreateMediaGatewayRequest::TransmissionTimerLen

Transmission Timer Len.

required: false
default value[range]: 5

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h